Bug Hunting Session
Bug 90736 - FILEOPEN: PPTX table cell border line style is not import and export as well.
Summary: FILEOPEN: PPTX table cell border line style is not import and export as well.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Matus Uzak
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 07:27 UTC by Yogesh Bharate
Modified: 2016-10-25 19:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
PPTX contents table with (31.59 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-04-20 07:27 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-04-20 07:27:10 UTC
Created attachment 114941 [details]
PPTX contents table with

Problem Description:
Table cell border Line style is not imported as well as exported in LibreOffice.

Step to reproduce:
1. open attached PPTX or create similar document in MSO2010.
2. Open in LibreOffice, it does not show the line style of border which dot in my case.
3. save as .pptx, and open the roundtrip file in MSO2010 again border lines are missing and set solid by default.
Comment 1 Robinson Tryon (qubit) 2015-07-22 15:47:30 UTC
TESTING on Ubuntu 14.04 +
Version: 5.1.0.0.alpha1+
Build ID: 85ce6a2446deb0f4c01604b6188f969603de9b16
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-07-09_02:29:43
Locale: en-US (en_US.UTF-8)

(In reply to Yogesh Bharate from comment #0)
> Step to reproduce:
> 1. open attached PPTX or create similar document in MSO2010.
> 2. Open in LibreOffice, it does not show the line style of border which dot
> in my case.

Just to be clear: MSO2010 renders the line as dotted?
Does LibreOffice on your machine render a solid border line, or just not show anything?

(testing on my machine, the box border line is visible and appears to be a solid line)

> 3. save as .pptx, and open the roundtrip file in MSO2010 again border lines
> are missing and set solid by default.

(I unfortunately don't have MSO2010 right here to test that part)
Comment 2 Commit Notification 2016-04-29 10:59:58 UTC
Matus Uzak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9c8651506adddad4941fe08e9e76a78d14a9fe0

tdf#90736: PPTX import: Improved table border line style support

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.